# Uses of Enum Class
javax.lang.model.element.NestingKind

Packages that use NestingKind
Package
Description
javax.lang.model.element
Interfaces used to model elements of the Java programming language.
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.

## Uses of NestingKind in javax.lang.model.element

Subclasses with type arguments of type NestingKind in javax.lang.model.element
Modifier and Type
Class
Description
`enum`
`NestingKind`
The nesting kind of a type element.
Methods in javax.lang.model.element that return NestingKind
Modifier and Type
Method
Description
`NestingKind`
TypeElement.`getNestingKind()`
Returns the nesting kind of this class or interface element.
`static NestingKind`
NestingKind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NestingKind[]`
NestingKind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of NestingKind in javax.tools

Methods in javax.tools that return NestingKind
Modifier and Type
Method
Description
`NestingKind`
ForwardingJavaFileObject.`getNestingKind()`
`NestingKind`
JavaFileObject.`getNestingKind()`
Provides a hint about the nesting level of the class represented by this file object.
`NestingKind`
SimpleJavaFileObject.`getNestingKind()`
Provides a hint about the nesting level of the class represented by this file object.